package com.isu.gaswellwatch.vo;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 气井页面返回对象 gas_wells
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class GasWellVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

        /** 主键 */
        private Long id;

        /** 关联公司 */
        private Long companyId;

        /** 气井名称 */
        private String name;

        /** 描述 */
        private String details;

        /** 创建人 */
        private Long createBy;

        /** 创建时间 */
        private LocalDateTime createTime;

        /** 更新人 */
        private Long updateBy;

        /** 更新时间 */
        private LocalDateTime updateTime;

}
